GDCM 3.2.1

Public Member Functions | List of all members
gdcm::network::ApplicationContext Class Reference

ApplicationContext. More...

`#include <gdcmApplicationContext.h>`

## Public Member Functions
| ApplicationContext ()
const char * | GetName () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetName (const char *name)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

ApplicationContext.

Table 9-12 APPLICATION CONTEXT ITEM FIELDS

Todo
  Looks like Application Context can only be 64 bytes at max (see Figure 9-1 / PS 3.8 - 2009 )

## Constructor & Destructor Documentation

## ◆ ApplicationContext()

gdcm::network::ApplicationContext::ApplicationContext | ( |  | ) |

## Member Function Documentation

## ◆ GetName()

const char * gdcm::network::ApplicationContext::GetName | ( |  | ) | const
| inline

## ◆ Print()

void gdcm::network::ApplicationContext::Print | ( | std::ostream & | os | ) | const

## ◆ Read()

std::istream & gdcm::network::ApplicationContext::Read | ( | std::istream & | is | ) |

## ◆ SetName()

void gdcm::network::ApplicationContext::SetName | ( | const char * | name | ) |
| inline

## ◆ Size()

size_t gdcm::network::ApplicationContext::Size | ( |  | ) | const

## ◆ Write()

const std::ostream & gdcm::network::ApplicationContext::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmApplicationContext.h